Skip to content

統合一覧の取得

get

/cdi/integrations

このエンドポイントを使用して、既存の統合の一覧を返します。

レート制限

このエンドポイントには、1分あたり50リクエストのレート制限があります。

クエリパラメーター

このエンドポイントへの各呼び出しでは、10件のアイテムが返されます。10件を超える統合があるリストについては、応答例に示すように、Link ヘッダーを使用して次のページのデータを取得してください。

パラメーター 必須 データタイプ 説明
cursor オプション 文字列 統合リストのページネーションを決定します。

リクエスト例

カーソルなし

1
2
3
curl --location --request GET 'https://rest.iad-03.braze.com/cdi/integrations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR-REST-API-KEY'

カーソル付き

1
2
3
curl --location --request GET 'https://rest.iad-03.braze.com/cdi/integrations?cursor=c2tpcDow' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR-REST-API-KEY'

応答

成功応答の例

ステータスコード 200 は、次の応答本文を返す可能性があります。

1
Link: </cdi/integrations?cursor=c2tpcDow>; rel="prev",</cdi/integrations?cursor=c2tpcDoxMDA=>; rel="next"
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
{
  "results": [
    {
      "integration_id": (string) integration ID,
      "app_group_id": (string) app group ID,
      "integration_name": (string) integration name,
      "integration_type": (string) integration type,
      "integration_status": (string) integration status,
      "contact_emails": (string) contact email(s),
      "last_updated_at": (string) last timestamp that was synced in ISO 8601,
      "warehouse_type": (string) data warehouse type,
      "last_job_start_time": (string) timestamp of the last sync run in ISO 8601,
      "last_job_status": (string) status of the last sync run,
      "next_scheduled_run": (string) timestamp of the next scheduled sync in ISO 8601
    }
  ],
  "message": "success"
}

トラブルシューティング

次の表に、返される可能性のあるエラーと、関連するトラブルシューティング手順を示します。

エラー トラブルシューティング
400 Invalid cursor cursor が有効であることを確認してください。

その他のステータスコードと関連するエラーメッセージについては、致命的なエラーと応答を参照してください。

New Stuff!